<?php

declare(strict_types=1);

namespace Dedi\SyliusSogenactifPlugin\Payum\Sogenactif;

final class Api implements ApiInterface
{
    /** @var string */
    private $secretKey;

    /** @var int */
    private $keyVersion;

    /** @var string */
    private $merchantId;

    public function __construct(
        string $secretKey = '',
        string $merchantId = '',
        int $keyVersion = 1
    ) {
        $this->keyVersion = $keyVersion;
        $this->secretKey = $secretKey;
        $this->merchantId = $merchantId;
    }

    /**
     * @return string
     */
    public function getSecretKey(): string
    {
        return $this->secretKey;
    }

    /**
     * @return int
     */
    public function getKeyVersion(): int
    {
        return $this->keyVersion;
    }

    /**
     * @return string
     */
    public function getMerchantId(): string
    {
        return $this->merchantId;
    }
}
